{ ... }:
{
  services.syncthing = {
    enable =  true;
    dataDir = "/mnt/data/services/syncthing/data";
    configDir = "/mnt/data/services/syncthing/config";
    overrideDevices = true;
    overrideFolders = true;
    openDefaultPorts = true;
    guiAddress = "0.0.0.0:8384";
    settings = {
      gui = {
        user = "willifan";
        password = "temppassword";
      };
      devices = {
        Lenni = { id = "XS6NR2Q-DHVB5G4-P43CHWR-TVBIY5A-FCIS7CU-S5UVNZA-5YPJYST-2EO2GAG"; };
        Puenktchen = { id = "VP3YVIM-JNSZTXV-7AS7FA2-3W5QKH6-XOWXX7N-STUR4JR-PR6SPCV-HJZMAAN"; };
      };
      folders = {
        "Documents" = {
          id = "jtl6g-qjmwo";
          path = "/mnt/data/services/syncthing/data/Documents";
          devices = [ "Lenni" "Puenktchen" ];
        };
        "Enpass" = {
          id = "ciksm-xsw4m";
          path = "/mnt/data/services/syncthing/data/Enpass";
          devices = [ "Lenni" "Puenktchen" ];
        };
        "Pictures" = {
          id = "po4qj-q9t0t";
          path = "/mnt/data/services/syncthing/data/Pictures";
          devices = [ "Lenni" "Puenktchen" ];
        };
        "Videos" = {
          id = "4wqf5-xasng";
          path = "/mnt/data/services/syncthing/data/Videos";
          devices = [ "Lenni" "Puenktchen" ];
        };
        "Notes" = {
          id = "oc61n-iewgj";
          path = "/mnt/data/services/syncthing/data/Notes";
          devices = [ "Lenni" "Puenktchen" ];
        };
        "Music" = {
          id = "xxh8a-3y2tq";
          path = "/mnt/data/services/syncthing/data/Music";
          devices = [ "Lenni" "Puenktchen" ];
        };
      };
    };
  };
}
