{ pkgs, attrs, system, ... }:
{

  environment.systemPackages =
    (with pkgs; [

    bc
    jq
    xorg.xrandr

    feh

    enpass
    vesktop
    obsidian
    kicad

    piper

    qemu

    libreoffice
    blender
    gimp
    inkscape
    prusa-slicer


  ])
  ++
  [
    attrs.zen.packages.${system}.specific
  ];

}
