{ ...}:
{
  home-manager.users.willifan = {
    programs.wlogout = {
      enable = true;
      layout = [
        {
          label = "shutdown";
          action = "systemctl poweroff";
          text = "Shutdown";
        }
        {
          label = "hyprland";
          action = "hyprctl dispatch exit";
          text = "Exit Hyprland";
        }
        {
          label = "whatever";
          action = "";
          text = "whatever";
        }
        {
          label = "reboot";
          action = "systemctl reboot";
          text = "Reboot";
        }
        {
          label = "suspend";
          action = "systemctl suspend";
          text = "Suspend";
        }
        {
          label = "hibernate";
          action = "systemctl hibernate";
          text = "Hibernate";
        }
      ];

      style = ''
        @import url("file:///home/willifan/.config/gtk-4.0/gtk.css");
        * {
        	background-image: none;
        	box-shadow: none;
        }

        window {
        	background-color: rgba(12, 12, 12, 0.9);
        }

        button {
          border-radius: 10px;
          border-color: #ffa44b;
        	border-style: solid;
        	border-width: 2px;
        	background-repeat: no-repeat;
        	background-position: center;
        	background-size: 25%;
        }

        button:focus, button:active, button:hover {
        	/*background-color: #3700B3;*/
        	outline-style: none;
        }

        #suspend {
          background-image: image(url("/home/willifan/.config/desktop-utils/images/suspend.png"));
        }

        #hibernate {
          background-image: image(url("/home/willifan/.config/desktop-utils/images/hibernate.png"));
        }

        #shutdown {
          background-image: image(url("/home/willifan/.config/desktop-utils/images/shutdown.png"));
        }

        #reboot {
          background-image: image(url("/home/willifan/.config/desktop-utils/images/reboot.png"));
        }
      '';
    };
  };
}
