{ ... }:
{
  home-manager.users.willifan = {
    programs.firefox = {
      enable = true;
      profiles = {
        default = {
          id = 0;
          name = "default";
          isDefault = true;
          settings = {
            "browser.search.defaultenginename" = "DuckDuckGo";
            "browser.search.order.1" = "DuckDuckGo";
            "media.videocontrols.picture-in-picture.video-toggle.enabled" = false;
            "extensions.pictureinpicture.enable_picture_in_picture_overrides" = false;
            "signon.management.page.breach-alerts.enabled" = false;
            "signon.rememberSignons" = false;
            "browser.startup.page" = 3;
            "browser.aboutConfig.showWarning" = false;
            "browser.bookmarks.restore_default_bookmarks" = false;
            "browser.contentblocking.category" = "standard";
            "browser.toolbars.bookmarks.visibility" = "never";
            "browser.translations.panelShown" = false;
            "browser.uiCustomization.state" = "{\"placements\":{\"unified-extensions-area\":[\"sponsorblocker_ajay_app-browser-action\",\"ublock0_raymondhill_net-browser-action\",\"_762f9885-5a13-4abd-9c77-433dcd38b8fd_-browser-action\"],\"nav-bar\":[\"back-button\",\"forward-button\",\"stop-reload-button\",\"customizableui-special-spring1\",\"urlbar-container\",\"customizableui-special-spring2\",\"downloads-button\",\"unified-extensions-button\",\"simple-tab-groups_drive4ik-browser-action\",\"firefox-enpass_enpass_io-browser-action\"],\"toolbar-menubar\":[\"menubar-items\"],\"TabsToolbar\":[\"tabbrowser-tabs\",\"new-tab-button\"],\"PersonalToolbar\":[]},\"seen\":[\"save-to-pocket-button\",\"developer-button\",\"firefox-enpass_enpass_io-browser-action\",\"ublock0_raymondhill_net-browser-action\",\"simple-tab-groups_drive4ik-browser-action\",\"sponsorblocker_ajay_app-browser-action\",\"_762f9885-5a13-4abd-9c77-433dcd38b8fd_-browser-action\"],\"dirtyAreaCache\":[\"nav-bar\",\"PersonalToolbar\",\"toolbar-menubar\",\"TabsToolbar\",\"unified-extensions-area\"],\"currentVersion\":20,\"newElementCount\":2}";
          };
          search = {
            force = true;
            default = "SearXNG";
            order = [ "SearXNG" "DuckDuckGo" "Google" ];
            engines = {
              "SearXNG" = {
                urls = [{ template = "https://search.citw.lgbt/search?q={searchTerms}"; }];
                iconUpdateURL = "https://nixos.wiki/favicon.png";
                updateInterval = 24 * 60 * 60 * 1000; # every day
                definedAliases = [ "@searxng" ];
              };
            };
          };
          #extensions = with pkgs.nur.repos.rycee.firefox-addons; [
          #  ublock-origin
          #  bitwarden
          #  darkreader
          #  vimium
          #];


        };
      };
    };
  };
}


